---
- name: "Ensure config directory"
  file:
    path: "{{ nlx_directory_config_directory }}"
    state: "directory"
    owner: "root"
    group: "root"
    mode: 0755

- name: "Ensure Docker Compose file"
  template:
    src: "docker-compose.yaml.j2"
    dest: "{{ nlx_directory_config_directory }}/docker-compose.yaml"
    owner: "root"
    group: "root"
    mode: 0644

- name: "Ensure running containers"
  docker_compose:
    state: "present"
    project_src: "{{ nlx_directory_config_directory }}"
    pull: true
    remove_orphans: true
